import { request } from '/@/utils/service'
import { UserPageQuery } from '@fast-crud/fast-crud'

export const apiPrefix = '/api/ad_manage/spsearchterms/'
export function GetList(query: UserPageQuery) {
  return request({
    url: apiPrefix + 'list',
    method: 'post',
    data: query,
  })
}

export function getCardData(query: UserPageQuery) {
  return request({
    url: apiPrefix + 'total',
    method: 'post',
    data: query,
  })
}

export function getLineData(query: UserPageQuery) {
  query['dateRangeType'] = 'D'
  return request({
    url: apiPrefix + 'daily',
    method: 'post',
    data: query,
  })
}

export function getLineWeekData(query: UserPageQuery) {
  query['dateRangeType'] = 'W'
  return request({
    url: apiPrefix + 'daily',
    method: 'post',
    data: query,
  })
}

export function getLineMonthData(query: UserPageQuery) {
  query['dateRangeType'] = 'M'
  return request({
    url: apiPrefix + 'daily',
    method: 'post',
    data: query,
  })
}
