import { request } from '/@/utils/service'
import XEUtils from 'xe-utils'

import { GetList } from '/@/views/efTools/automation/api'

export const getCampaignRuleInfo = (params: any) => {
  return request({
    url: '/api/ad_manage/campaign_rule/get_info',
    method: 'get',
    params,
  })
}

export const saveCampaignRule = (data: any) => {
  return request({
    url: '/api/ad_manage/campaign_rule/save',
    method: 'post',
    data,
  })
}

export const getTemplateList = GetList
